
package com.fr.plugin.jsd3449;

import com.fr.config.ConfigContext;
import com.fr.config.Identifier;
import com.fr.config.Status;
import com.fr.config.Visualization;
import com.fr.config.holder.Conf;
import com.fr.config.holder.factory.Holders;
import com.fr.file.XMLFileManager;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLableReader;

/**
 * 〈Function Description〉<br> 
 * 〈ConfigJsd3449〉
 *
 * @author xx
 * @since 1.0.0
 */
@Visualization(category = "Plugin-jsd3449_Group")
public class ConfigJsd3449 extends XMLFileManager {

    public static final String XML_TAG = "";

    public static final String PLUGIN_ID = "com.fr.plugin.jsd3449.auth";
    public static final String DEFAULT_LOGIN_URL = "https://xx/login";
    public static final String DEFAULT_TOKEN_URL = "https://xx/serviceValidate";
    

    private static volatile ConfigJsd3449 config = null;

    @Focus(id = PLUGIN_ID, text = "Plugin-jsd3449", source = Original.PLUGIN)
    public static ConfigJsd3449 getInstance(){
        if (config == null){
            config = ConfigContext.getConfigInstance(ConfigJsd3449.class);
            config.readXMLFile();
        }
        return config;
    }

    @Identifier(value = "loginUrl", name = "Plugin-Jsd3449_Config_LoginUrl", description = "Plugin-Jsd3449_Config_LoginUrl_Description", status = Status.SHOW)
    private Conf<String> loginUrl = Holders.simple(DEFAULT_LOGIN_URL);

    @Identifier(value = "tokenUrl", name = "Plugin-Jsd3449_Config_TokenUrl", description = "Plugin-Jsd3449_Config_TokenUrl_Description", status = Status.SHOW)
    private Conf<String> tokenUrl = Holders.simple(DEFAULT_TOKEN_URL);

    @Override
    public String fileName() {
        return ConfigJsd3449.XML_TAG + ".xml";
    }


    @Override
    public void readXML(XMLableReader xmLableReader) {
    }

    @Override
    public void writeXML(XMLPrintWriter xmlPrintWriter) {
    }

    public String getLoginUrl() {
        return loginUrl.get();
    }

    public void setLoginUrl(String loginUrl) {
        this.loginUrl.set(loginUrl);
    }

    public String getTokenUrl() {
        return tokenUrl.get();
    }

    public void setTokenUrl(String tokenUrl) {
        this.tokenUrl.set(tokenUrl);
    }
}